package apis

type H5AccessLog struct {
	Id                int64   `json:"id"`
	MerchantId        int64   `json:"-"`
	ApiId             int64   `json:"-"`
	H5ServiceId       int64   `json:"h5_service_id"`
	H5ApiId           int64   `json:"h5_api_id"`
	H5ServiceName     string  `json:"h5_service_name"`
	H5ApiName         string  `json:"h5_api_name"`
	MerchantName      string  `json:"merchant_name"`
	ApiName           string  `json:"api_name"`
	PlateNo           string  `json:"plate_no"`
	PlateType         string  `json:"plate_type"`
	Vin               string  `json:"vin"`
	RequestParams     string  `json:"request_params"`
	ResponseParams    string  `json:"response_params"`
	RawRequestParams  string  `json:"raw_request_params"`
	RawResponseParams string  `json:"raw_response_params"`
	Code              int     `json:"code"`
	Msg               string  `json:"msg"`
	IsReuse           bool    `json:"is_reuse"`
	State             bool    `json:"state"`
	RemoteAddr        string  `json:"remote_addr"`
	Elapsed           float64 `json:"elapsed"`
	Timestamp         int64   `json:"-"`
	CreateTime        string  `json:"create_time"`
}

func (o *H5AccessLog) TableName() string {
	return "t_gd_h5_access_log"
}

type H5ThirdpartLog struct {
	Id              int64   `json:"id"`
	AccessId        int64   `json:"access_id"`
	MerchantId      int64   `json:"-"`
	ApiId           int64   `json:"-"`
	ProviderId      int64   `json:"-"`
	ProviderApiId   int64   `json:"-"`
	H5ServiceId     int64   `json:"-"`
	H5ApiId         int64   `json:"-"`
	H5ServiceName   string  `json:"h5_service_name"`
	H5ApiName       string  `json:"h5_api_name"`
	MerchantName    string  `json:"merchant_name"`
	ApiName         string  `json:"api_name"`
	ProviderName    string  `json:"provider_name"`
	ProviderApiName string  `json:"provider_api_name"`
	PlateNo         string  `json:"plate_no"`
	PlateType       string  `json:"plate_type"`
	Vin             string  `json:"vin"`
	RequestParams   string  `json:"request_params"`
	ResponseParams  string  `json:"response_params"`
	Code            int     `json:"code"`
	Msg             string  `json:"msg"`
	State           bool    `json:"state"`
	RemoteAddr      string  `json:"remote_addr"`
	Elapsed         float64 `json:"elapsed"`
	Timestamp       int64   `json:"-"`
	CreateTime      string  `json:"create_time"`
}

func (o *H5ThirdpartLog) TableName() string {
	return "t_gd_h5_thirdpart_access_log"
}

type H5AccessLogWrite struct {
	State             bool    `json:"state"`
	Code              int     `json:"code"`
	Msg               string  `json:"msg"`
	RawRequestParams  string  `json:"raw_request_params"`
	RawResponseParams string  `json:"raw_response_params"`
	RequestParams     string  `json:"request_params"`
	ResponseParams    string  `json:"response_params"`
	IsReuse           bool    `json:"is_reuse"`
	Elapsed           float64 `json:"elapsed"`
}

type H5ThirdpartLogWrite struct {
	//ProviderId     int64   `json:"provider_id"`
	ProviderApiId  int64   `json:"provider_api_id"`
	RequestParams  string  `json:"request_params"`
	ResponseParams string  `json:"response_params"`
	Code           int     `json:"code"`
	Msg            string  `json:"msg"`
	State          bool    `json:"state"`
	Elapsed        float64 `json:"elapsed"`
}

type H5LogAddAccessLogReq struct {
	AccessLogWrite
	MerchantId           int64                 `json:"merchant_id"`
	ApiId                int64                 `json:"api_id"`
	H5ServiceId          int64                 `json:"h5_service_id"`
	H5ApiId              int64                 `json:"h5_api_id"`
	Vin                  string                `json:"vin"`
	PlateNo              string                `json:"plate_no"`
	PlateType            string                `json:"plate_type"`
	RemoteAddr           string                `json:"remote_addr"`
	TimeStamp            int64                 `json:"time_stamp"`
	H5ThirdpartLogWrites []H5ThirdpartLogWrite `json:"h5_thirdpart_log_writes"`
}

type H5LogAddAccessLogReply struct {
}

/*type LogAddThirdpartLogReq struct {
	MerchantId     int64   `json:"merchant_id"`
	ApiId          int64   `json:"api_id"`
	ProviderId     int64   `json:"provider_id"`
	ProviderApiId  int64   `json:"provider_api_id"`
	PlateNo        string  `json:"plate_no"`
	PlateType      string  `json:"plate_type"`
	Vin            string  `json:"vin"`
	RequestParams  string  `json:"request_params"`
	ResponseParams string  `json:"response_params"`
	Code           int     `json:"code"`
	Msg            string  `json:"msg"`
	State          bool    `json:"state"`
	RemoteAddr     string  `json:"remote_addr"`
	Elapsed        float64 `json:"elapsed"`
	Timestamp      int64   `json:"timestamp"`
}

type LogAddThirdpartLogReply struct {
}*/

type H5LogQueryAccessLogReq struct {
	Vin            string `json:"vin"`
	PlateNo        string `json:"plate_no"`
	MerchantId     int64  `json:"merchant_id"`
	ApiId          int64  `json:"api_id"`
	H5ServiceId    int64  `json:"h5_service_id"`
	H5ApiId        int64  `json:"h5_api_id"`
	StartTimestamp int64  `json:"start_timestamp"`
	EndTimestamp   int64  `json:"end_timestamp"`
	PageSize       int64  `json:"page_size"`
	PageNumber     int64  `json:"page_number"`
}

type H5LogQueryAccessLogReply struct {
	PageSize     int64         `json:"page_size"`
	PageNumber   int64         `json:"page_number"`
	Total        int64         `json:"total"`
	H5AccessLogs []H5AccessLog `json:"h5_access_logs"`
}

type H5LogQueryThirdpartAccessLogReq struct {
	Vin            string `json:"vin"`
	PlateNo        string `json:"plate_no"`
	ProviderId     int64  `json:"provider_id"`
	ProviderApiId  int64  `json:"provider_api_id"`
	H5ServiceId    int64  `json:"h5_service_id"`
	H5ApiId        int64  `json:"h5_api_id"`
	StartTimestamp int64  `json:"start_timestamp"`
	EndTimestamp   int64  `json:"end_timestamp"`
	PageSize       int64  `json:"page_size"`
	PageNumber     int64  `json:"page_number"`
}

type H5LogQueryThirdpartAccessLogReply struct {
	PageSize        int64            `json:"page_size"`
	PageNumber      int64            `json:"page_number"`
	Total           int64            `json:"total"`
	H5ThirdpartLogs []H5ThirdpartLog `json:"h5_thirdpart_logs"`
}

type H5LogQueryAccessLogCountReq struct {
	MerchantId     int64 `json:"merchant_id"`
	ApiId          int64 `json:"api_id"`
	H5ServiceId    int64 `json:"h_5_service_id"`
	H5ApiId        int64 `json:"h_5_api_id"`
	StartTimestamp int64 `json:"start_timestamp"`
	EndTimestamp   int64 `json:"end_timestamp"`
	PageSize       int64 `json:"page_size"`
	PageNumber     int64 `json:"page_number"`
}

type H5QueryAccessLogCount struct {
	Date          string  `json:"date"`
	MerchantName  string  `json:"merchant_name"`
	ApiName       string  `json:"api_name"`
	H5ServiceName string  `json:"h5_service_name"`
	H5ApiName     string  `json:"h5_api_name"`
	Total         int64   `json:"total"`
	Success       int64   `json:"success"`
	Reuse         int64   `json:"reuse"`
	Elapsed       float64 `json:"elapsed"`
	Failed        int64   `json:"failed"`
	SuccessRate   string  `json:"success_rate"`
	ReuseRate     string  `json:"reuse_rate"`
}

type H5LogQueryAccessLogCountReply struct {
	PageSize               int64                   `json:"page_size"`
	PageNumber             int64                   `json:"page_number"`
	Total                  int64                   `json:"total"`
	H5QueryAccessLogCounts []H5QueryAccessLogCount `json:"h5_query_access_log_counts"`
}

type H5QueryThirdpartAccessLogCount struct {
	Date            string  `json:"date"`
	ProviderName    string  `json:"provider_name"`
	ProviderApiName string  `json:"provider_api_name"`
	H5ServiceName   string  `json:"h5_service_name"`
	H5ApiName       string  `json:"h5_api_name"`
	Total           int64   `json:"total"`
	Success         int64   `json:"success"`
	Elapsed         float64 `json:"elapsed"`
	Failed          int64   `json:"failed"`
	SuccessRate     string  `json:"success_rate"`
}
type H5LogQueryThirdpartAccessLogCountReq struct {
	ProviderId     int64 `json:"provider_id"`
	ProviderApiId  int64 `json:"provider_api_id"`
	H5ServiceId    int64 `json:"h5_service_id"`
	H5ApiId        int64 `json:"h5_api_id"`
	StartTimestamp int64 `json:"start_timestamp"`
	EndTimestamp   int64 `json:"end_timestamp"`
	PageSize       int64 `json:"page_size"`
	PageNumber     int64 `json:"page_number"`
}

type H5LogQueryThirdpartAccessLogCountReply struct {
	PageSize                        int64                            `json:"page_size"`
	PageNumber                      int64                            `json:"page_number"`
	Total                           int64                            `json:"total"`
	H5QueryThirdpartAccessLogCounts []H5QueryThirdpartAccessLogCount `json:"h5_query_thirdpart_access_log_count"`
}

type H5LogQueryAccessLogThirdpartLogReq struct {
	AccessId int64 `json:"access_id"`
}

type H5LogQueryAccessLogThirdpartLogReply struct {
	H5ThirdpartLogs []H5ThirdpartLog `json:"h5_thirdpart_logs"`
}
