// Copyright 2019  getensh.com. All rights reserved.
// Use of this source code is governed by  getensh.com.
package access_log

import (
	"context"
	"gd_statistics/apis"
	"github.com/astaxie/beego/orm"
	"strings"
)

func LogExportDelete(ctx context.Context, req *apis.LogExportDeleteReq, reply *apis.LogExportDeleteReply) error {
	o := orm.NewOrm()
	path := ""
	err := o.Raw("select path from t_gd_access_log_count_export where id = ?", req.Id).QueryRow(&path)
	if err != nil {
		return err
	}
	_, err = o.Raw("delete from t_gd_access_log_count_export where id = ?", req.Id).Exec()
	if err != nil {
		return err
	}
	array := strings.Split(path, "/export/")
	if len(array) == 2 {
		reply.RealPath = req.ExportDir + array[1]

	}
	return err
}
