package access_log

import (
	"context"
	"gd_statistics/apis"
	"github.com/astaxie/beego/orm"
)

func LogExportList(ctx context.Context, req *apis.LogExportListReq, reply *apis.LogExportListReply) error {

	PageSize := int64(10)
	o := orm.NewOrm()
	reply.Total, _ = o.QueryTable("t_gd_access_log_count_export").Filter("export_type", req.ExportType).Count()
	if req.IsAll {
		reply.PageNumber = 1
		reply.PageSize = reply.Total
		_, err := o.QueryTable("t_gd_access_log_count_export").Filter("export_type", req.ExportType).OrderBy("-create_time").All(&reply.ExportList)
		if err == orm.ErrNoRows {
			return nil
		}

		return err
	}
	if req.PageNumber <= 0 {
		req.PageNumber = 1
	}
	_, err := orm.NewOrm().QueryTable("t_gd_access_log_count_export").Filter("export_type", req.ExportType).OrderBy("-create_time").Limit(PageSize, (req.PageNumber-1)*PageSize).All(&reply.ExportList)
	if err == orm.ErrNoRows {
		return nil
	}
	reply.PageNumber = req.PageNumber
	reply.PageSize = PageSize

	return err
}
