package access_log

import (
	"context"
	"gd_statistics/apis"
	"gd_statistics/errors"
	"encoding/json"
	"fmt"
	"strings"

	"github.com/astaxie/beego/orm"
)

func LogQueryAccessLogThirdpartLogNew(req *apis.LogQueryAccessLogThirdpartLogReq, reply *apis.LogQueryAccessLogThirdpartLogReply) error {
	tabName := ""
	if req.Timestamp == 0 {
		tabName = "t_gd_thirdpart_log_day"
	} else {
		tabName = getMonthTab("t_gd_thirdpart_log_month", req.Timestamp)
	}
	sql := fmt.Sprintf("select * from %s where access_id=%d", tabName, req.AccessId)
	_, err := orm.NewOrm().Raw(sql).QueryRows(&reply.ThirdpartLogs)
	if err != nil && err != orm.ErrNoRows {
		return errors.DataBaseError
	}
	for i, v := range reply.ThirdpartLogs {
		if strings.Contains(v.ResponseParams, "{") {
			bytes := []byte(v.ResponseParams)
			m := map[string]interface{}{}
			json.Unmarshal(bytes, &m)
			bytes, err := json.Marshal(m)
			if err == nil {
				reply.ThirdpartLogs[i].ResponseParams = string(bytes)
			}
			m = nil

			array := []map[string]interface{}{}
			bytes = []byte(v.ResponseParams)
			json.Unmarshal(bytes, &array)
			bytes, _ = json.Marshal(array)
			if len(array) > 0 {
				reply.ThirdpartLogs[i].ResponseParams = string(bytes)
				array = nil
				return nil
			}
		}
		if strings.Contains(v.RequestParams, "{") {
			bytes := []byte(v.RequestParams)
			m := map[string]interface{}{}
			json.Unmarshal(bytes, &m)
			bytes, _ = json.Marshal(m)
			if len(m) > 0 {
				reply.ThirdpartLogs[i].RequestParams = string(bytes)
				m = nil
				return nil
			}
			array := []map[string]interface{}{}
			bytes = []byte(v.RequestParams)
			json.Unmarshal(bytes, &array)
			bytes, _ = json.Marshal(array)
			if len(array) > 0 {
				reply.ThirdpartLogs[i].RequestParams = string(bytes)
				array = nil
				return nil
			}

		}

	}
	return nil
}

func LogQueryAccessLogThirdpartLog(ctx context.Context, req *apis.LogQueryAccessLogThirdpartLogReq, reply *apis.LogQueryAccessLogThirdpartLogReply) error {
	if true {
		return LogQueryAccessLogThirdpartLogNew(req, reply)
	}
	_, err := orm.NewOrm().QueryTable("t_gd_thirdpart_access_log").Filter("access_id", req.AccessId).All(&reply.ThirdpartLogs)
	if err != nil && err != orm.ErrNoRows {
		return errors.DataBaseError
	}
	for i, v := range reply.ThirdpartLogs {
		if strings.Contains(v.ResponseParams, "{") {
			bytes := []byte(v.ResponseParams)
			m := map[string]interface{}{}
			json.Unmarshal(bytes, &m)
			bytes, err := json.Marshal(m)
			if err == nil {
				reply.ThirdpartLogs[i].ResponseParams = string(bytes)
			}
			m = nil

			array := []map[string]interface{}{}
			bytes = []byte(v.ResponseParams)
			json.Unmarshal(bytes, &array)
			bytes, _ = json.Marshal(array)
			if len(array) > 0 {
				reply.ThirdpartLogs[i].ResponseParams = string(bytes)
				array = nil
				return nil
			}
		}
		if strings.Contains(v.RequestParams, "{") {
			bytes := []byte(v.RequestParams)
			m := map[string]interface{}{}
			json.Unmarshal(bytes, &m)
			bytes, _ = json.Marshal(m)
			if len(m) > 0 {
				reply.ThirdpartLogs[i].RequestParams = string(bytes)
				m = nil
				return nil
			}
			array := []map[string]interface{}{}
			bytes = []byte(v.RequestParams)
			json.Unmarshal(bytes, &array)
			bytes, _ = json.Marshal(array)
			if len(array) > 0 {
				reply.ThirdpartLogs[i].RequestParams = string(bytes)
				array = nil
				return nil
			}

		}

	}
	return nil
}
