// Copyright 2019 getensh.com. All rights reserved.
// Use of this source code is governed by getensh.com.

// package impl implement all interfaces of micro service in gd_access_log
package impl

import (
	"context"
	"gd_statistics/apis"
	"gd_statistics/impl/access_log"
	"gd_statistics/common.in/task"
	"github.com/astaxie/beego/orm"
)

// 具体实现
type Rcvr struct {
}

func (c *Rcvr) LogQueryAccessLog(ctx context.Context, req *apis.LogQueryAccessLogReq, reply *apis.LogQueryAccessLogReply) error {
	t1 := func() error {
		return access_log.LogQueryAccessLog(ctx, req, reply)
	}
	return task.Do(ctx, t1)
}

func (c *Rcvr) LogExport(ctx context.Context, req *apis.LogQueryAccessLogReq, reply *apis.LogQueryAccessLogReply) error {
	t1 := func() error {
		return access_log.LogExport(ctx, req, reply)
	}
	return task.Do(ctx, t1)
}

func (c *Rcvr) LogQueryThirdpartAccessLog(ctx context.Context, req *apis.LogQueryThirdpartAccessLogReq, reply *apis.LogQueryThirdpartAccessLogReply) error {
	t1 := func() error {
		return access_log.LogQueryThirdpartAccessLog(ctx, req, reply)
	}
	return task.Do(ctx, t1)
}

func (c *Rcvr) LogQueryAccessLogCount(ctx context.Context, req *apis.LogQueryAccessLogCountReq, reply *apis.LogQueryAccessLogCountReply) error {
	t1 := func() error {
		return access_log.LogQueryAccessLogCount(ctx, req, reply)
	}
	return task.Do(ctx, t1)
}

func (c *Rcvr) LogQueryThirdpartAccessLogCount(ctx context.Context, req *apis.LogQueryThirdpartAccessLogCountReq, reply *apis.LogQueryThirdpartAccessLogCountReply) error {
	t1 := func() error {
		return access_log.LogQueryThirdpartAccessLogCount(ctx, req, reply)
	}
	return task.Do(ctx, t1)
}

func (c *Rcvr) LogQueryAccessLogThirdpartLog(ctx context.Context, req *apis.LogQueryAccessLogThirdpartLogReq, reply *apis.LogQueryAccessLogThirdpartLogReply) error {
	t1 := func() error {
		return access_log.LogQueryAccessLogThirdpartLog(ctx, req, reply)
	}
	return task.Do(ctx, t1)
}


// 访问日志用户统计报表
func (c *Rcvr) LogQueryUserAccessCount(ctx context.Context, req *apis.LogQueryUserAccessCountReq, reply *apis.LogQueryUserAccessCountReply) error {
	t1 := func() error {
		return access_log.LogQueryUserAccessCount(ctx, req, reply)
	}
	return task.Do(ctx, t1)
}

// 导出访问日志用户统计报表
func (c *Rcvr) LogQueryUserAccessCountExport(ctx context.Context, req *apis.LogQueryUserAccessCountExportReq, reply *apis.LogQueryUserAccessCountExportReply) error {
	t1 := func() error {
		return access_log.LogQueryUserAccessCountExport(ctx, req, reply)
	}
	return task.Do(ctx, t1)
}

// 导出数据源日志用户统计报表
func (c *Rcvr) LogQueryProviderCountExport(ctx context.Context, req *apis.LogQueryProviderCountExportReq, reply *apis.LogQueryProviderCountExportReply) error {
	t1 := func() error {
		return access_log.LogQueryProviderCountExport(ctx, req, reply)
	}
	return task.Do(ctx, t1)
}

// 访问日志接口统计详情
func (c *Rcvr) LogQueryInterfaceCount(ctx context.Context, req *apis.LogQueryInterfaceCountReq, reply *apis.LogQueryInterfaceCountReply) error {
	t1 := func() error {
		return access_log.LogQueryInterfaceCount(ctx, req, reply)
	}
	return task.Do(ctx, t1)
}

func (c *Rcvr) LogQueryThirdpartAccessCount(ctx context.Context, req *apis.LogQueryThirdpartAccessCountReq, reply *apis.LogQueryThirdpartAccessCountReply) error {
	t1 := func() error {
		return access_log.LogQueryThirdpartAccessCount(ctx, req, reply)
	}
	return task.Do(ctx, t1)
}

func (c *Rcvr) LogQueryThirdpartInterfaceCount(ctx context.Context, req *apis.LogQueryThirdpartInterfaceCountReq, reply *apis.LogQueryThirdpartInterfaceCountReply) error {
	t1 := func() error {
		return access_log.LogQueryThirdpartInterfaceCount(ctx, req, reply)
	}
	return task.Do(ctx, t1)
}

func (c *Rcvr) LogExportCreate(ctx context.Context, req *apis.LogExportCreateReq, reply *apis.LogExportCreateReply) error {
	t1 := func() error {
		return access_log.LogExportCreate(ctx, req, reply)
	}
	return task.Do(ctx, t1)
}

func (c *Rcvr) LogExportList(ctx context.Context, req *apis.LogExportListReq, reply *apis.LogExportListReply) error {
	t1 := func() error {
		return access_log.LogExportList(ctx, req, reply)
	}
	return task.Do(ctx, t1)
}

func (c *Rcvr) LogExportDelete(ctx context.Context, req *apis.LogExportDeleteReq, reply *apis.LogExportDeleteReply) error {
	t1 := func() error {
		return access_log.LogExportDelete(ctx, req, reply)
	}
	return task.Do(ctx, t1)
}

func (c *Rcvr) LogQueryInterfaceAnalyzeError(ctx context.Context, req *apis.LogQueryInterfaceCountReq, reply *apis.LogQueryInterfaceAnalyzeErrorReply) error {
	t1 := func() error {
		return access_log.LogQueryInterfaceAnalyzeError(ctx, req, reply)
	}
	return task.Do(ctx, t1)
}

func (c *Rcvr) LogQueryInterfaceThirdPartyCount(ctx context.Context, req *apis.LogQueryInterfaceCountReq, reply *apis.LogQueryInterfaceThirdPartyCountReply) error {
	t1 := func() error {
		return access_log.LogQueryInterfaceThirdPartyCount(ctx, req, reply)
	}
	return task.Do(ctx, t1)
}

func (c *Rcvr) ThirdPartyInterfaceErrorAnalyze(ctx context.Context, req *apis.ThirdPartyInterfaceErrorAnalyzeReq, reply *apis.ThirdPartyInterfaceErrorAnalyzeReply) error {
	t1 := func() error {
		return access_log.ThirdPartyInterfaceErrorAnalyze(ctx, req, reply)
	}
	return task.Do(ctx, t1)
}

func (c *Rcvr) TryApiAccessLogAdd(ctx context.Context, req *apis.TryApiAccessLogReq, reply *apis.TryApiAccessLogReply) error {
	t1 := func() error {
		return access_log.TryApiAccessLogAdd(ctx, req, reply)
	}
	return task.Do(ctx, t1)
}

func (c *Rcvr) BiGetServiceStatus(ctx context.Context, req *apis.BiGetServiceStatusReq, reply *apis.BiGetServiceStatusReply) error {
	t1 := func() error {
		return access_log.BiGetServiceStatus(ctx, req, reply)
	}
	return task.Do(ctx, t1)
}

func (c *Rcvr) BiGetProviderServiceStatus(ctx context.Context, req *apis.BiGetProviderServiceStatusReq, reply *apis.BiGetProviderServiceStatusReply) error {
	t1 := func() error {
		return access_log.BiGetProviderServiceStatus(ctx, req, reply)
	}
	return task.Do(ctx, t1)
}

func (c *Rcvr) BiGetTrend(ctx context.Context, req *apis.BiGetTrendReq, reply *apis.BiGetTrendReply) error {
	t1 := func() error {
		return access_log.BiGetTrend(ctx, req, reply)
	}
	return task.Do(ctx, t1)
}

func (c *Rcvr) BiGetProviderTrend(ctx context.Context, req *apis.BiGetProviderTrendReq, reply *apis.BiGetProviderTrendReply) error {
	t1 := func() error {
		return access_log.BiGetProviderTrend(ctx, req, reply)
	}
	return task.Do(ctx, t1)
}

func (c *Rcvr) BiGetApiServiceConsumeInfo(ctx context.Context, req *apis.BiGetApiServiceConsumeInfoReq, reply *apis.BiGetApiServiceConsumeInfoReply) error {
	t1 := func() error {
		return access_log.BiGetApiServiceConsumeInfo(ctx, req, reply)
	}
	return task.Do(ctx, t1)
}

func (c *Rcvr) BiGetApiServiceFailInfo(ctx context.Context, req *apis.BiGetApiServiceFailInfoReq, reply *apis.BiGetApiServiceFailInfoReply) error {
	t1 := func() error {
		return access_log.BiGetApiServiceFailInfo(ctx, req, reply)
	}
	return task.Do(ctx, t1)
}

func (c *Rcvr) BiGetApiServiceDataInfo(ctx context.Context, req *apis.BiGetApiServiceDataInfoReq, reply *apis.BiGetApiServiceDataInfoReply) error {
	t1 := func() error {
		return access_log.BiGetApiServiceDataInfo(ctx, req, reply)
	}
	return task.Do(ctx, t1)
}

func (c *Rcvr) BiGetApiServiceIncomeInfo(ctx context.Context, req *apis.BiGetApiServiceIncomeInfoReq, reply *apis.BiGetApiServiceIncomeInfoReply) error {
	t1 := func() error {
		return access_log.BiGetApiServiceIncomeInfo(ctx, req, reply)
	}
	return task.Do(ctx, t1)
}

func (c *Rcvr) BiGetProviderServiceDataInfo(ctx context.Context, req *apis.BiGetProviderServiceDataInfoReq, reply *apis.BiGetProviderServiceDataInfoReply) error {
	t1 := func() error {
		return access_log.BiGetProviderServiceDataInfo(ctx, req, reply)
	}
	return task.Do(ctx, t1)
}

func (c *Rcvr) BiGetProviderServicePayInfo(ctx context.Context, req *apis.BiGetProviderServicePayInfoReq, reply *apis.BiGetProviderServicePayInfoReply) error {
	t1 := func() error {
		return access_log.BiGetProviderServicePayInfo(ctx, req, reply)
	}
	return task.Do(ctx, t1)
}

func (c *Rcvr) BiGetProviderServiceFailInfo(ctx context.Context, req *apis.BiGetProviderServiceFailInfoReq, reply *apis.BiGetProviderServiceFailInfoReply) error {
	t1 := func() error {
		return access_log.BiGetProviderServiceFailInfo(ctx, req, reply)
	}
	return task.Do(ctx, t1)
}

func (c *Rcvr) BiGetReport(ctx context.Context, req *apis.BiGetReportReq, reply *apis.BiGetReportReply) error {
	t1 := func() error {
		return access_log.BiGetReport(ctx, req, reply)
	}
	return task.Do(ctx, t1)
}

func (c *Rcvr) BiGetProviderReport(ctx context.Context, req *apis.BiGetProviderReportReq, reply *apis.BiGetProviderReportReply) error {
	t1 := func() error {
		return access_log.BiGetProviderReport(ctx, req, reply)
	}
	return task.Do(ctx, t1)
}

func (c *Rcvr) BiGetDistribution(ctx context.Context, req *apis.BiGetDistributionReq, reply *apis.BiGetDistributionReply) error {
	t1 := func() error {
		return access_log.BiGetDistribution(ctx, req, reply)
	}
	return task.Do(ctx, t1)
}

func (c *Rcvr) BiGetProviderDistribution(ctx context.Context, req *apis.BiGetProviderDistributionReq, reply *apis.BiGetProviderDistributionReply) error {
	t1 := func() error {
		return access_log.BiGetProviderDistribution(ctx, req, reply)
	}
	return task.Do(ctx, t1)
}

func (c *Rcvr) BiGetPayDistribution(ctx context.Context, req *apis.BiGetPayDistributionReq, reply *apis.BiGetPayDistributionReply) error {
	t1 := func() error {
		return access_log.BiGetPayDistribution(ctx, req, reply)
	}
	return task.Do(ctx, t1)
}

func RegisterOrmModel() {
	//orm.RegisterModel(new(apis.AccessLog))
	//orm.RegisterModel(new(apis.TGdAccessLogHistory))
	//orm.RegisterModel(new(apis.ThirdpartLog))
	//orm.RegisterModel(new(apis.TGdThirdpartAccessLogHistory))
	orm.RegisterModel(new(apis.TGdAccessLogCountExport))
	orm.RegisterModel(new(apis.InvalidAccessLog))
	orm.RegisterModel(new(apis.H5AccessLog))
	orm.RegisterModel(new(apis.H5ThirdpartLog))
	orm.RegisterModel(new(apis.TryApiAccessLog))
	orm.RegisterModel(new(access_log.TGdReport))
	orm.RegisterModel(new(access_log.TGdProviderReport))
	orm.RegisterModel(new(access_log.TGdApiCodeHour))
	orm.RegisterModel(new(access_log.TGdProviderCodeHour))
	orm.RegisterModel(new(access_log.TGdReportHour))
	orm.RegisterModel(new(access_log.TGdProviderReportHour))
	orm.RegisterModel(new(apis.AccessLogDay))
	orm.RegisterModel(new(apis.ThirdpartLogDay))
	orm.RegisterModel(new(apis.TGdAccessLogMonth1))
	orm.RegisterModel(new(apis.TGdAccessLogMonth2))
	orm.RegisterModel(new(apis.TGdAccessLogMonth3))
	orm.RegisterModel(new(apis.TGdAccessLogMonth4))
	orm.RegisterModel(new(apis.TGdAccessLogMonth5))
	orm.RegisterModel(new(apis.TGdAccessLogMonth6))
	orm.RegisterModel(new(apis.TGdAccessLogMonth7))
	orm.RegisterModel(new(apis.TGdAccessLogMonth8))
	orm.RegisterModel(new(apis.TGdAccessLogMonth9))
	orm.RegisterModel(new(apis.TGdAccessLogMonth10))
	orm.RegisterModel(new(apis.TGdAccessLogMonth11))
	orm.RegisterModel(new(apis.TGdAccessLogMonth12))

	orm.RegisterModel(new(apis.TGdThirdpartLogMonth1))
	orm.RegisterModel(new(apis.TGdThirdpartLogMonth2))
	orm.RegisterModel(new(apis.TGdThirdpartLogMonth3))
	orm.RegisterModel(new(apis.TGdThirdpartLogMonth4))
	orm.RegisterModel(new(apis.TGdThirdpartLogMonth5))
	orm.RegisterModel(new(apis.TGdThirdpartLogMonth6))
	orm.RegisterModel(new(apis.TGdThirdpartLogMonth7))
	orm.RegisterModel(new(apis.TGdThirdpartLogMonth8))
	orm.RegisterModel(new(apis.TGdThirdpartLogMonth9))
	orm.RegisterModel(new(apis.TGdThirdpartLogMonth10))
	orm.RegisterModel(new(apis.TGdThirdpartLogMonth11))
	orm.RegisterModel(new(apis.TGdThirdpartLogMonth12))
}
